rpms/boa/devel boa-0.94.14rc21-config.patch, NONE, 1.1 boa.init, 1.1, 1.2 boa.spec, 1.15, 1.16 boa.sysconfig, 1.1, 1.2 boa-0.94.14rc17-config.patch, 1.3, NONE

Matthias Saou thias at fedoraproject.org
Sun Apr 12 14:47:00 UTC 2009


Author: thias

Update of /cvs/extras/rpms/boa/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv4940

Modified Files:
	boa.init boa.spec boa.sysconfig 
Added Files:
	boa-0.94.14rc21-config.patch 
Removed Files:
	boa-0.94.14rc17-config.patch 
Log Message:
* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 0.94.14-0.12.rc21
- Update init script to the new style.
- Move boa_indexer to libexec, as it makes more sense there.
- Fix cgi-bin location in the config patch.


boa-0.94.14rc21-config.patch:

--- NEW FILE boa-0.94.14rc21-config.patch ---
diff -Naupr boa-0.94.14rc21.orig/examples/boa.conf boa-0.94.14rc21/examples/boa.conf
--- boa-0.94.14rc21.orig/examples/boa.conf	2003-02-02 06:02:22.000000000 +0100
+++ boa-0.94.14rc21/examples/boa.conf	2009-04-12 16:32:00.412150369 +0200
@@ -45,14 +45,14 @@ Port 80
 #  User: The name or UID the server should run as.
 # Group: The group name or GID the server should run as.
 
-User nobody
-Group nogroup
+User boa
+Group boa
 
 # ServerAdmin: The email address where server problems should be sent.
 # Note: this is not currently used, except as an environment variable
 # for CGIs.
 
-#ServerAdmin root at localhost
+ServerAdmin root at localhost
 
 # PidFile: where to put the pid of the process.
 # Comment out to write no pid file.
@@ -155,7 +155,7 @@ AccessLog /var/log/boa/access_log
 # DocumentRoot: The root directory of the HTML documents.
 # Comment out to disable server non user files.
 
-DocumentRoot /var/www
+DocumentRoot /var/www/boa/html
 
 # UserDir: The name of the directory which is appended onto a user's home
 # directory if a ~user request is received.
@@ -174,7 +174,7 @@ DirectoryIndex index.html
 # DirectoryIndex are commented out, accessing a directory will give
 # an error (though accessing files in the directory are still ok).
 
-DirectoryMaker /usr/lib/boa/boa_indexer
+DirectoryMaker /usr/libexec/boa/boa_indexer
 
 # DirectoryCache: If DirectoryIndex doesn't exist, and DirectoryMaker
 # has been commented out, the the on-the-fly indexing of Boa can be used
@@ -217,7 +217,8 @@ CGIPath /bin:/usr/bin:/usr/local/bin
 # Example: AddType type extension [extension ...]
 
 # Uncomment the next line if you want .cgi files to execute from anywhere
-#AddType application/x-httpd-cgi cgi
+AddType application/x-httpd-cgi cgi
+AddType application/x-httpd-cgi pl
 
 # Redirect, Alias, and ScriptAlias all have the same semantics -- they
 # match the beginning of a request and take appropriate action.  Use
@@ -232,10 +233,10 @@ CGIPath /bin:/usr/bin:/usr/local/bin
 # Aliases: Aliases one path to another.
 # Example: Alias /path1/bar /path2/foo
 
-Alias /doc /usr/doc
+# Alias /doc /usr/doc
 
 # ScriptAlias: Maps a virtual path to a directory for serving scripts
 # Example: ScriptAlias /htbin/ /www/htbin/
 
-ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
+ScriptAlias /cgi-bin/ /var/www/boa/cgi-bin/
 


Index: boa.init
===================================================================
RCS file: /cvs/extras/rpms/boa/devel/boa.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- boa.init	9 Nov 2004 02:43:26 -0000	1.1
+++ boa.init	12 Apr 2009 14:46:58 -0000	1.2
@@ -1,93 +1,111 @@
-#!/bin/bash
+#!/bin/sh
 #
-# $Id$
+# boa          Boa web server
 #
-# boa		This shell script takes care of starting and stopping \
-#		the boa webserver
-#
-# chkconfig: - 85 15
-# description:	This web server is used to serve HTML files and CGI scripts.
-#
-# processname: boa
-# config: /etc/boa/boa.conf
+# chkconfig:   - 85 15
+# description: Web server used to serve HTML files and CGI scripts.
+
+### BEGIN INIT INFO
+# Provides: httpd
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs $network
+# Should-Start: 
+# Should-Stop: 
+# Default-Start: 
+# Default-Stop: 0 1 2 3 4 5 6
+# Short-Description: Boa web server
+# Description:       Web server used to serve HTML files and CGI scripts.
+### END INIT INFO
 
 # Source function library.
 . /etc/rc.d/init.d/functions
 
-# Source networking configuration.
-. /etc/sysconfig/network
+exec="/usr/sbin/boa"
+prog="boa"
+config="/etc/boa/boa.conf"
 
-# Check that networking is up.
-[ "${NETWORKING}" = "no" ] && exit 0
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
 
-[ -f /etc/boa/boa.conf ] || exit 0
-[ -f /etc/sysconfig/boa ] && . /etc/sysconfig/boa
- 
-# Optional configuration
 TMP=${TMP:=/tmp}
-[ -n "${SERVERROOT}" ] && BOA_OPTIONS="-c "${SERVERROOT}
-[ -n "${CHROOT}" ] && BOA_OPTIONS="-r "${CHROOT}
 
-RETVAL=0
-prog="boa"
+lockfile=/var/lock/subsys/$prog
 
 start() {
-	# Start daemons.
-	echo -n $"Starting $prog: "
-	daemon boa ${BOA_OPTIONS}
-	RETVAL=$?
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/boa
-	echo
-	return $RETVAL
+    [ -x $exec ] || exit 5
+    [ -f $config ] || exit 6
+    echo -n $"Starting $prog: "
+    # Remove stderr since messages get spit out when the DEBUG_LEVEL is high
+    daemon $exec${SERVERROOT+" -c $SERVERROOT"}${CHROOT+" -r $CHROOT"}${DEBUG_LEVEL+" -l $DEBUG_LEVEL"} 2>/dev/null
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
 }
 
 stop() {
-	# Stop daemons.
-	echo -n $"Stopping $prog: "
-	killproc boa
-	RETVAL=$?
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/boa
-	echo
-	return $RETVAL
+    echo -n $"Stopping $prog: "
+    killproc $prog
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
 }
 
 reload() {
-	# REload daemons.
-	echo -n $"Reloading $prog: "
-	killproc boa -HUP
-	RETVAL=$?
-	echo
-	return $RETVAL
+    echo -n $"Reloading $prog: "
+    killproc $prog -HUP
+    retval=$?
+    echo
+    return $retval
 }
 
-restart() {
-	stop
-	start
+force_reload() {
+    restart
+}
+
+rh_status() {
+    status $prog
+}
+
+rh_status_q() {
+    rh_status &>/dev/null
 }
 
-# See how we were called.
+
 case "$1" in
-  start)
-	start
-	;;
-  stop)
-	stop
-	;;
-  status)
-	status boa
-	;;
-  reload)
-	reload
-	;;
-  restart)
-	restart
-	;;
-  condrestart)
-	[ -f /var/lock/subsys/boa ] && restart
-	;;
-  *)
-	echo $"Usage: boa {start|stop|status|reload|restart|condrestart}"
-	exit 1
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
 esac
-
 exit $?
+


Index: boa.spec
===================================================================
RCS file: /cvs/extras/rpms/boa/devel/boa.spec,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -r1.15 -r1.16
--- boa.spec	24 Feb 2009 05:20:30 -0000	1.15
+++ boa.spec	12 Apr 2009 14:46:58 -0000	1.16
@@ -4,7 +4,7 @@
 Summary: Single-tasking HTTP server
 Name: boa
 Version: 0.94.14
-Release: 0.11%{?rcver:.%{rcver}}%{?dist}
+Release: 0.12%{?rcver:.%{rcver}}%{?dist}
 License: GPLv2+
 Group: System Environment/Daemons
 URL: http://www.boa.org/
@@ -13,7 +13,7 @@
 Source2: boa.sysconfig
 Source10: index.html
 Source11: boa_logo_pasi2.png
-Patch0: boa-0.94.14rc17-config.patch
+Patch0: boa-0.94.14rc21-config.patch
 Patch1: boa-0.94.14rc21-cgi.c.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 Requires: system-logos >= 7.92.1
@@ -65,7 +65,7 @@
 %{__install} -p -m 0755 -D src/boa \
     %{buildroot}%{_sbindir}/boa
 %{__install} -p -m 0755 -D src/boa_indexer \
-    %{buildroot}%{_libdir}/boa/boa_indexer
+    %{buildroot}%{_libexecdir}/boa/boa_indexer
 %{__install} -p -m 0644 -D docs/boa.8 \
     %{buildroot}%{_mandir}/man8/boa.8
 %{__install} -p -m 0644 -D examples/boa.conf \
@@ -126,8 +126,8 @@
 %config(noreplace) %{_sysconfdir}/logrotate.d/boa
 %config(noreplace) %{_sysconfdir}/sysconfig/boa
 %{_sysconfdir}/rc.d/init.d/boa
-%dir %{_libdir}/boa/
-%{_libdir}/boa/boa_indexer
+%dir %{_libexecdir}/boa/
+%{_libexecdir}/boa/boa_indexer
 %{_sbindir}/boa
 %{webroot}/
 %dir %{_var}/log/boa/
@@ -135,10 +135,15 @@
 
 
 %changelog
-* Mon Feb 23 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 0.94.14-0.11.rc21
+* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 0.94.14-0.12.rc21
+- Update init script to the new style.
+- Move boa_indexer to libexec, as it makes more sense there.
+- Fix cgi-bin location in the config patch.
+
+* Mon Feb 23 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org>
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-* Tue Feb 19 2008 Fedora Release Engineering <rel-eng at fedoraproject.org> - 0.94.14-0.10.rc21
+* Tue Feb 19 2008 Fedora Release Engineering <rel-eng at fedoraproject.org>
 - Autorebuild for GCC 4.3
 
 * Mon Oct 22 2007 Matthias Saou <http://freshrpms.net/> 0.94.14-0.9.rc21


Index: boa.sysconfig
===================================================================
RCS file: /cvs/extras/rpms/boa/devel/boa.sysconfig,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- boa.sysconfig	9 Nov 2004 02:43:26 -0000	1.1
+++ boa.sysconfig	12 Apr 2009 14:46:58 -0000	1.2
@@ -2,11 +2,14 @@
 # you've set up a chroot environment for the boa webserver to run in.
 
 # Read/write directory needed for CGI/POST
-TMP="/tmp"
+#TMP=/tmp
 
 # Alternate boa.conf location (default: /etc/boa)
-SERVERROOT=
+#SERVERROOT=
 
 # Chroot directory (default: empty for normal startup)
-CHROOT=
+#CHROOT=
+
+# Debug level (see "boa --help" output for details)
+#DEBUG_LEVEL=
 


--- boa-0.94.14rc17-config.patch DELETED ---




More information about the fedora-extras-commits mailing list